
Member Nodes - Story #5838

MNDeployment # 4730 (Testing): Global Biodiversity Information Facility

GBIF: Testing

2014-07-17 21:05 - Roger Dahl

Status: New Start date: 2014-07-17

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: Deploy by end of Y3Q1   

Story Points:    

Description

If a new MN is being developed from scratch, tickets in this section will track progress.

Subtasks:

Task # 5839: GBIF: Registration in environment New

  Task # 5840: GBIF: Register new Science Metadata formats Rejected

  Task # 5841: GBIF: SSL Certificates New

  Task # 5845: GBIF: Register MN Closed

    Task # 5846: GBIF: Set up Node document Closed

    Task # 5847: GBIF: Set the node status to approved (start synchronization) Closed

  Task # 5848: GBIF: Synchronization New

    Task # 5849: GBIF: Set up synchronization of the MN New

  Task # 5850: GBIF: Content Review New

    Task # 5851: GBIF: Verify Science Data New

      Task # 5852: GBIF: Verify Science Data content New

      Task # 5853: GBIF: Verify that the Science Data is returned with the correct HTTP Conte... New

    Task # 5854: GBIF: Verify Science Metadata New

      Task # 5855: GBIF: Verify Science Metadata content New

      Task # 5856: GBIF: Verify Science Metadata is returned with the correct HTTP Content-Type New

      Task # 5857: GBIF: Verify that the Science Metadata is correctly processed by CNs New

    Task # 5858: GBIF: Verify Resource Maps New

      Task # 5859: GBIF: Verify Resource Map content New

      Task # 5860: GBIF: Verify Resource Map is returned with the correct HTTP Content-Type New

      Task # 5861: GBIF: Verify that Resource Maps are correctly processed by CNs. New

  Task # 5862: GBIF: Authentication and Authorization Rejected

    Task # 5863: GBIF: Science Data access Rejected

    Task # 5864: GBIF: Science Metadata access Rejected

    Task # 5865: GBIF: Log record access New

  Task # 5866: GBIF: Replication testing (if Tier 4) Rejected

Story # 5867: GBIF: Registration in Production environment New

  Task # 5868: GBIF: Register new Science Metadata formats Rejected

  Task # 5869: GBIF: SSL Certificates New

    Task # 5870: GBIF: Generate client certificate. New

    Task # 5871: GBIF: Verify successful installation of client side certificate New

    Task # 5872: GBIF: Verify successful installation of server side certificate New

  Task # 5873: GBIF: Register MN New

    Task # 5874: GBIF: Set up Node document New

    Task # 5875: GBIF: Set the node status to approved (start synchronization) New

  Task # 5876: GBIF: Synchronization New

    Task # 5877: GBIF: Set up synchronization of the MN New
  Task # 5878: GBIF: Content Review New

    Task # 5879: GBIF: Verify Science Data New

      Task # 5880: GBIF: Verify Science Data content New

      Task # 5881: GBIF: Verify that the Science Data is returned with the correct HTTP Conte... New

    Task # 5882: GBIF: Verify Science Metadata New

      Task # 5883: GBIF: Verify Science Metadata content New

      Task # 5884: GBIF: Verify Science Metadata is returned with the correct HTTP Content-Type New

      Task # 5885: GBIF: Verify that the Science Metadata is correctly processed by CNs New

    Task # 5886: GBIF: Verify Resource Maps New

      Task # 5887: GBIF: Verify Resource Map content New

      Task # 5888: GBIF: Verify Resource Map is returned with the correct HTTP Content-Type New

      Task # 5889: GBIF: Verify that Resource Maps are correctly processed by CNs. New

  Task # 5890: GBIF: Authentication and Authorization New

    Task # 5891: GBIF: Science Data access New

    Task # 5892: GBIF: Science Metadata access New

    Task # 5893: GBIF: Log record access New

  Task # 5894: GBIF: Replication testing (if Tier 4) Rejected

Story # 5895: GBIF: Transition to production New

  Task # 5896: GBIF: Mutual acceptance New

  Task # 5897: GBIF: Verify content available for Current MNs web page New

  Task # 5898: GBIF: Create legal documents Closed

  Task # 5899: GBIF: Create news item New

  Task # 5900: GBIF: Formal announcement New

History

#1 - 2014-08-06 18:24 - Laura Moyers

- Target version changed from Deploy by end of Y5Q4 to Deploy by end of Y1Q2

#2 - 2014-09-15 13:56 - Laura Moyers

- Target version changed from Deploy by end of Y1Q2 to Deploy by end of Y1Q4

#3 - 2018-01-22 21:17 - Amy Forrester

- Tracker changed from Task to Story

#4 - 2018-04-24 20:30 - Amy Forrester

GBIF Testing Work Plan Google doc 

#5 - 2018-09-26 17:00 - Amy Forrester

9/24/18: {Rob} - I did a quick test of the member node instance at https://ws.gbif-uat.org:7000/mn/  and only see a few minor problems - mostly to do

with format identifiers.

9/25/18 {Federico} - fixed some issues in our DataOne implementation, we also exported an old GBIF snapshot using the ORE resource map format

(similar to eBird)

#6 - 2018-09-26 17:01 - Amy Forrester

per Rob - The main things I saw seem relatively minor:

1. formatIDs  • for the resource map      should be "http://www.openarchives.org/ore/terms" • for the metadata object  should be

"eml://ecoinformatics.org/eml-2.1.1" • (for the data object is OK as "application/zip")

2. resource maps (OREs) need to use identifiers that match the GUIDs used in list objects. Reciprocal relationships also need to be defined.
https://docs.google.com/document/d/1eDjqWsdYuSwgAVfZ-KLMkyv5dtzssC4o6sPQ07TXZmQ/edit?usp=sharing
https://ws.gbif-uat.org:7000/mn/
http://www.openarchives.org/ore/terms


Below is the basic template that should work for you:

(For more information please see https://releases.dataone.org/online/api-documentation-v2.0.1/design/DataPackage.html#generating-resource-maps)

rdf:RDF

 rdfs1:labelResourceMap/rdfs1:label

 rdfs1:isDefinedByhttp://www.openarchives.org/ore/terms//rdfs1:isDefinedBy

 /rdf:Description

 dcterms:identifier${ORE_GUID}/dcterms:identifier

 dcterms:created24-07-2017/dcterms:created

 dc:formatapplication/rdf+xml/dc:format

 dcterms:modified24-07-2017/dcterms:modified

 /rdf:Description

 rdfs1:isDefinedByhttp://www.openarchives.org/ore/terms//rdfs1:isDefinedBy

 rdfs1:labelAggregation/rdfs1:label

 /rdf:Description

 /rdf:Description

 dcterms:identifier${METADATA_GUID}/dcterms:identifier

 /rdf:Description

 dcterms:identifier${DATA_GUID}/dcterms:identifier

 /rdf:Description

/rdf:RDF

9/25/18 - {Marcos} - applied the 2 changes 
https://releases.dataone.org/online/api-documentation-v2.0.1/design/DataPackage.html#generating-resource-maps
redmine.dataone.org/rdfs1:label
http://www.openarchives.org/ore/terms/
redmine.dataone.org/rdfs1:isDefinedBy
redmine.dataone.org/rdf:Description
redmine.dataone.org/dcterms:identifier
redmine.dataone.org/dcterms:created
redmine.dataone.org/dc:format
redmine.dataone.org/dcterms:modified
redmine.dataone.org/rdf:Description
http://www.openarchives.org/ore/terms/
redmine.dataone.org/rdfs1:isDefinedBy
redmine.dataone.org/rdfs1:label
redmine.dataone.org/rdf:Description
redmine.dataone.org/rdf:Description
redmine.dataone.org/dcterms:identifier
redmine.dataone.org/rdf:Description
redmine.dataone.org/dcterms:identifier
redmine.dataone.org/rdf:Description
redmine.dataone.org/rdf:RDF


#7 - 2019-01-28 14:39 - Amy Forrester

1/28/19: Marcos confirm: I did that change to include the originMemberNode field in the SystemMetadata. 

Powered by TCPDF (www.tcpdf.org)

2024-03-13 4/4

http://www.tcpdf.org

